{% extends '@PiCRUD/item_default.html.twig' %}

{% block item %}
    {% if (entity.dateEnd is not empty and entity.dateEnd < date()) or (entity.dateEnd is empty and entity.dateBegin < date()) %}
        {% set class_primary = 'light' %}
        {% set class_secondary = 'light' %}
    {% elseif entity.cancelled %}
        {% set class_primary = 'warning' %}
        {% set class_secondary = 'warning' %}
    {% endif %}
    {% set item_type = 'http://schema.org/Event' %}
    {{ parent() }}
{% endblock %}

{% block item_title %}
    {% if entity.dateEnd is not empty and entity.dateEnd > entity.dateBegin and entity.dateBegin|date('d/m') is not same as entity.dateEnd|date('d/m') %}
        {% if entity.dateBegin|date('m') is not same as entity.dateEnd|date('m') %}
            <span class="h2 d-inline-flex"><span class="badge badge-{{ class_primary }}">{{ entity.dateBegin|date('d') }}</span></span>
            <span class="h4 d-inline-flex">{{ entity.dateBegin|format_datetime(pattern='MMMM', locale='fr')|capitalize }}</span>
            <span class="h4 d-inline-flex font-weight-bold">au</span>
            <span class="h2 d-inline-flex"><span class="badge badge-{{ class_secondary }}">{{ entity.dateEnd|date('d') }}</span></span>
            <span class="h4 d-inline-flex">{{ entity.dateEnd|format_datetime(pattern='MMMM', locale='fr')|capitalize }}</span>
            <span class="h4 d-inline-flex text-{{ class_primary }} font-weight-bold">{{ entity.dateBegin|date('Y') }}</span>
        {% else %}
            <span class="h2 d-inline-flex"><span class="badge badge-{{ class_primary }}">{{ entity.dateBegin|date('d') }}</span></span>
            <span class="h4 d-inline-flex font-weight-bold">au</span>
            <span class="h2 d-inline-flex"><span class="badge badge-{{ class_secondary }}">{{ entity.dateEnd|date('d') }}</span></span>
            <span class="h4 d-inline-flex">{{ entity.dateEnd|format_datetime(pattern='MMMM', locale='fr')|capitalize }}</span>
            <span class="h4 d-inline-flex text-{{ class_primary }} font-weight-bold">{{ entity.dateBegin|date('Y') }}</span>
        {% endif %}
    {% else %}
        <span class="h2 d-inline-flex"><span class="badge badge-{{ class_primary }}">{{ entity.dateBegin|date('d') }}</span></span>
        <span class="h4 d-inline-flex">{{ entity.dateBegin|format_datetime(pattern='MMMM', locale='fr')|capitalize }}</span>
        <span class="h4 d-inline-flex text-{{ class_primary }} font-weight-bold">{{ entity.dateBegin|date('Y') }}</span>
    {% endif %}

    <div itemprop="name" class="h3 card-title">{{ entity.title }}</div>
    <time class="d-none" itemprop="startDate" datetime="{{ entity.dateBegin|date('c') }}">{{ entity.dateBegin|format_datetime('full', 'medium', locale='fr')|capitalize }}</time>
    {% if entity.dateEnd is not empty and entity.dateEnd > entity.dateBegin %}
        <time class="d-none" itemprop="endDate" datetime="{{ entity.dateEnd|date('c') }}">{{ entity.dateEnd|format_datetime('full', 'medium', locale='fr') }}</time>
    {% endif %}
{% endblock %}

{% block item_content %}
    {% if (entity.dateEnd is not empty and entity.dateEnd < date()) or (entity.dateEnd is empty and entity.dateBegin < date()) %}
        <div class="w-100 text-light text-center font-weight-bold py-2 my-2 border-top border-bottom border-light">
            <i class="fa fa-exclamation-triangle"></i> Cet événement est passé <i class="fa fa-exclamation-triangle"></i>
        </div>
    {% elseif entity.cancelled %}
        <div class="w-100 text-warning text-center font-weight-bold py-2 my-2 border-top border-bottom border-warning">
            <i class="fa fa-exclamation-triangle"></i> Cet événement est annulé <i class="fa fa-exclamation-triangle"></i>
        </div>
    {% endif %}

    {% if entity.allowEntries and entity.dateEntries > date() and entity.dateEntries <= date()|date_modify('+7 days') %}
        <div class="badge badge-warning">Date limite d'inscription proche</div>
    {% elseif entity.allowEntries and entity.dateEntries < date() and entity.dateBegin > date() %}
        <div class="badge badge-danger">Date limite d'inscription dépassée</div>
    {% endif %}

    {{ parent() }}

    <ul class="list-inline">
        {% if entity.format is not empty %}
            <li class="list-inline-item"><i class="fa fa-tag text-secondary" aria-hidden="true"></i> {{ entity.format.label }}</li>
        {% endif %}
        {% if entity.locationTitle is not empty %}
            <li class="list-inline-item"><i class="fa fa-location-arrow text-secondary" aria-hidden="true"></i> {{ entity.locationTitle }}</li>
        {% endif %}
    </ul>
{% endblock %}
